/* @refresh reload */
import { inject } from "@vercel/analytics";
import { injectSpeedInsights } from "@vercel/speed-insights";
import { render } from "solid-js/web";

import App from "./App";
import "./index.css";

const root = document.getElementById("root");

if (import.meta.env.PROD) {
  render(() => <App />, root!);
  injectSpeedInsights();
  inject();
} else {
  render(() => <App />, root!);
}
